MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030570Open CASCADE[OCCT] OCCT:Visualizationpublic2019-03-13 20:392019-03-19 10:33
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030570: Visualization, TKOpenGl - OpenGl_AspectFace ignores texture revision on recompute
DescriptionWhen both conditions happen at once - increasing texture revision and recomputing presentation - OpenGl_AspectFace ignores new texture revision and does not update texture.

void OpenGl_AspectFace::Resources::BuildTextures (const Handle(OpenGl_Context)& theCtx,
                                                  const Handle(Graphic3d_TextureSet)& theTextures)

...
    if (!aTexture.IsNull())
    {
      const TCollection_AsciiString& aTextureKeyNew = aTexture->GetId();
      if (aTextureKeyNew.IsEmpty()
      || !theCtx->GetResource<Handle(OpenGl_Texture)> (aTextureKeyNew, aResource))
      {
        aResource = new OpenGl_Texture (aTextureKeyNew, aTexture->GetParams());
        if (Handle(Image_PixMap) anImage = aTexture->GetImage())
        {
          aResource->Init (theCtx, *anImage.operator->(), aTexture->Type());
          aResource->SetRevision (aTexture->Revision());
        }
        if (!aTextureKeyNew.IsEmpty())
        {
          theCtx->ShareResource (aTextureKeyNew, aResource);
        }
      }
      else
      {
/// !!! texture revision is ignored here !!!
        aResource->Sampler()->SetParameters (aTexture->GetParams());
      }
    }
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0082934)
git (administrator)
2019-03-13 21:51

Branch CR30570 has been created by kgv.

SHA-1: 1db9efb12192a7bca92b9c0adec9b434604bb583


Detailed log of new commits:

Author: kgv
Date: Wed Mar 13 21:46:24 2019 +0300

    0030570: Visualization, TKOpenGl - OpenGl_AspectFace ignores texture revision on recompute
    
    Added revision check to one more branch within OpenGl_AspectsTextureSet::build().
(0082935)
kgv (developer)
2019-03-13 21:53

Patch is ready for review.
(0082949)
osa (developer)
2019-03-14 16:42

The patch is reviewed without remarks.
(0082950)
apn (administrator)
2019-03-14 16:48

Combination -
OCCT branch : CR30570
master SHA - 1db9efb12192a7bca92b9c0adec9b434604bb583
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - 19cf12d4f918562ea1456aa224c6f7a64b9c4ad7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16545.43 / 16599.24999999996 [-0.32%]
Products
Total CPU difference: 9089.230000000054 / 9092.71000000004 [-0.04%]
Windows-64-VC14:
OCCT
Total CPU difference: 18063.875 / 17985.28125 [+0.44%]
Products
Total CPU difference: 10479.09375 / 10460.953125 [+0.17%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0083082)
git (administrator)
2019-03-19 10:33

Branch CR30570 has been deleted by inv.

SHA-1: 1db9efb12192a7bca92b9c0adec9b434604bb583

- Related Changesets
occt: master 31fe1f8e
Timestamp: 2019-03-13 18:46:24
Author: kgv
Committer: apn
Details ] Diff ]
0030570: Visualization, TKOpenGl - OpenGl_AspectFace ignores texture revision on recompute

Added revision check to one more branch within OpenGl_AspectsTextureSet::build().
mod - src/OpenGl/OpenGl_AspectsTextureSet.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-03-13 20:39 kgv New Issue
2019-03-13 20:39 kgv Assigned To => kgv
2019-03-13 20:41 kgv Description Updated View Revisions
2019-03-13 20:42 kgv Relationship added child of 0027853
2019-03-13 20:42 kgv Product Version 7.3.0 => 7.1.0
2019-03-13 21:51 git Note Added: 0082934
2019-03-13 21:53 kgv Note Added: 0082935
2019-03-13 21:53 kgv Assigned To kgv => san
2019-03-13 21:53 kgv Status new => resolved
2019-03-14 10:19 kgv Assigned To san => osa
2019-03-14 16:42 osa Note Added: 0082949
2019-03-14 16:42 osa Assigned To osa => bugmaster
2019-03-14 16:42 osa Status resolved => reviewed
2019-03-14 16:48 apn Test case number => Not needed
2019-03-14 16:48 apn Note Added: 0082950
2019-03-14 16:48 apn Status reviewed => tested
2019-03-17 15:40 apn Changeset attached => occt master 31fe1f8e
2019-03-17 15:40 apn Assigned To bugmaster => apn
2019-03-17 15:40 apn Status tested => verified
2019-03-17 15:40 apn Resolution open => fixed
2019-03-19 10:33 git Note Added: 0083082


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker